org.apache.lucene.codecs.compressing

## Class FastCompressingCodec

- java.lang.Object
- - org.apache.lucene.codecs.Codec
  - - org.apache.lucene.codecs.FilterCodec
    - - org.apache.lucene.codecs.compressing.CompressingCodec
      - - org.apache.lucene.codecs.compressing.FastCompressingCodec

All Implemented Interfaces:
  NamedSPILoader.NamedSPI

    public class FastCompressingCodec
    extends CompressingCodec

CompressionCodec that uses `CompressionMode.FAST`

### Field Summary

### Fields inherited from class org.apache.lucene.codecs.FilterCodec

`delegate`

### Constructor Summary

Constructors
Constructor and Description
`FastCompressingCodec()` Default constructor.
`FastCompressingCodec(int chunkSize, boolean withSegmentSuffix)` Constructor that allows to configure the chunk size.

### Method Summary

### Methods inherited from class org.apache.lucene.codecs.compressing.CompressingCodec

`randomInstance, randomInstance, randomInstance, storedFieldsFormat, termVectorsFormat, toString`

### Methods inherited from class org.apache.lucene.codecs.FilterCodec

`docValuesFormat, fieldInfosFormat, liveDocsFormat, normsFormat, postingsFormat, segmentInfoFormat`

### Methods inherited from class org.apache.lucene.codecs.Codec

`availableCodecs, forName, getDefault, getName, reloadCodecs, setDefault`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### FastCompressingCodec

    public FastCompressingCodec(int chunkSize,
                        boolean withSegmentSuffix)

Constructor that allows to configure the chunk size.

#### FastCompressingCodec

    public FastCompressingCodec()

Default constructor.